Model Object for the Folder Object in dotCMS

### Hierarchy

- Treeable
  - Folder

## Index

### Constructors

- constructor

### Properties

- archived
- defaultFileType
- displayType
- filesMasks
- hostId
- identifier
- inode
- live
- modDate
- modUser
- name
- path
- showOnMenu
- sortOrder
- title
- type
- working

## Constructors

### constructor

- new Folder(): Folder

- - Defined in core/treeable/shared/folder.model.ts:6

  #### Returns Folder

## Properties

### archived

archived: boolean

Inherited from Treeable.archived

- Defined in core/treeable/shared/treeable.model.ts:12

### defaultFileType

defaultFileType: string

- Defined in core/treeable/shared/folder.model.ts:12

### displayType

displayType: string

Inherited from Treeable.displayType

- Defined in core/treeable/shared/treeable.model.ts:14

### filesMasks

filesMasks: string

- Defined in core/treeable/shared/folder.model.ts:11

### hostId

hostId: string

- Defined in core/treeable/shared/folder.model.ts:10

### identifier

identifier: string

Inherited from Treeable.identifier

- Defined in core/treeable/shared/treeable.model.ts:6

### inode

inode: string

Inherited from Treeable.inode

- Defined in core/treeable/shared/treeable.model.ts:5

### live

live: boolean

Inherited from Treeable.live

- Defined in core/treeable/shared/treeable.model.ts:10

### modDate

modDate: Date

Inherited from Treeable.modDate

- Defined in core/treeable/shared/treeable.model.ts:8

### modUser

modUser: string

Inherited from Treeable.modUser

- Defined in core/treeable/shared/treeable.model.ts:15

### name

name: string

Inherited from Treeable.name

- Defined in core/treeable/shared/treeable.model.ts:9

### path

path: string

- Defined in core/treeable/shared/folder.model.ts:13

### showOnMenu

showOnMenu: boolean

- Defined in core/treeable/shared/folder.model.ts:8

### sortOrder

sortOrder: number

- Defined in core/treeable/shared/folder.model.ts:9

### title

title: string

Inherited from Treeable.title

- Defined in core/treeable/shared/treeable.model.ts:13

### type

type: string

Inherited from Treeable.type

- Defined in core/treeable/shared/treeable.model.ts:7

### working

working: boolean

Inherited from Treeable.working

- Defined in core/treeable/shared/treeable.model.ts:11

Generated using TypeDoc